classification
Title: Can't change Treeview row color in Tkinter
Type: behavior Stage: resolved
Components: Tkinter Versions: Python 3.8
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: gpolo, serhiy.storchaka, terry.reedy, Олег Париев
Priority: normal Keywords:

Created on 2020-02-15 11:01 by Олег Париев, last changed 2020-02-27 13:28 by Олег Париев. This issue is now closed.

Messages (5)
msg362010 - (view) Author: Олег Париев (Олег Париев) Date: 2020-02-15 11:01
Good afternoon! Cannot change the color of a Treeview string in Python version 3.8.x. The same problem would be in Python version 3.7.3, but a solution for it does not help. You can see the question by reference: https://bugs.python.org/issue36468

PS Sorry for the clumsy English
msg362020 - (view) Author: Олег Париев (Олег Париев) Date: 2020-02-15 14:39
I noticed that the background does not change, but the foreground changes well
msg362448 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-02-22 06:16
What OS, what Python version, what tk version?  For the latter, start IDLE and go to Help - About IDLE.
msg362552 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-02-24 00:29
When I ran the initial test code of #36468, everything was black on white.  When I added Matthew Barnett's fix, both text and background were changed.  Until we get test code and version information that we can run and verify a problem with the fix, I am closing this.

The fix was copied from the tk buglist, https://core.tcl.tk/tk/info/509cafafae, where it got other verifications.
msg362798 - (view) Author: Олег Париев (Олег Париев) Date: 2020-02-27 13:28
I figured out the problem myself. I found out that the problem was in the topic that I used for Tkinter
History
Date User Action Args
2020-02-27 13:28:02Олег Париевsetmessages: + msg362798
2020-02-24 00:29:08terry.reedysetstatus: open -> closed
resolution: works for me
messages: + msg362552

stage: resolved
2020-02-22 06:16:52terry.reedysetnosy: + terry.reedy
messages: + msg362448
2020-02-15 14:39:24Олег Париевsetmessages: + msg362020
2020-02-15 11:01:47Олег Париевcreate